<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>TaskOutputFilePropertyBuilder (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TaskOutputFilePropertyBuilder (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/tasks/TaskInstantiationException.html" title="class in org.gradle.api.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/tasks/TaskOutputs.html" title="interface in org.gradle.api.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" target="_top">Frames</a></li>
<li><a href="TaskOutputFilePropertyBuilder.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks</div>
<h2 title="Interface TaskOutputFilePropertyBuilder" class="title">Interface TaskOutputFilePropertyBuilder</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskOutputs.html" title="interface in org.gradle.api.tasks">CompatibilityAdapterForTaskOutputs</a>, <a href="../../../../org/gradle/api/tasks/TaskFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskFilePropertyBuilder</a>, <a href="../../../../org/gradle/api/tasks/TaskOutputs.html" title="interface in org.gradle.api.tasks">TaskOutputs</a>, <a href="../../../../org/gradle/api/tasks/TaskPropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskPropertyBuilder</a></dd>
</dl>
<hr>
<br>
<pre><a href="../../../../org/gradle/api/Incubating.html" title="annotation in org.gradle.api">@Incubating</a>
public interface <span class="strong">TaskOutputFilePropertyBuilder</span>
extends <a href="../../../../org/gradle/api/tasks/TaskFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskFilePropertyBuilder</a>, <a href="../../../../org/gradle/api/tasks/TaskOutputs.html" title="interface in org.gradle.api.tasks">TaskOutputs</a></pre>
<div class="block">Describes an output property of a task that contains zero or more files.</div>
<dl><dt><span class="strong">Since:</span></dt>
  <dd>3.0</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html#dir(java.lang.Object)">dir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;path)</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;
<div class="block"><i>Use <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#dir(java.lang.Object)"><code>TaskOutputs.dir(Object)</code></a> instead.</i></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html#file(java.lang.Object)">file</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;path)</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;
<div class="block"><i>Use <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#file(java.lang.Object)"><code>TaskOutputs.file(Object)</code></a> instead.</i></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html#files(java.lang.Object...)">files</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;paths)</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;
<div class="block"><i>Use <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#files(java.lang.Object...)"><code>TaskOutputs.files(Object...)</code></a> instead.</i></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html#getFiles()">getFiles</a></strong>()</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;
<div class="block"><i>Use <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#getFiles()"><code>TaskOutputs.getFiles()</code></a> instead.</i></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html#getHasOutput()">getHasOutput</a></strong>()</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;
<div class="block"><i>Use <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#getHasOutput()"><code>TaskOutputs.getHasOutput()</code></a> instead.</i></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html#optional()">optional</a></strong>()</code>
<div class="block">Marks a task property as optional.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html#optional(boolean)">optional</a></strong>(boolean&nbsp;optional)</code>
<div class="block">Sets whether the task property is optional.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html#upToDateWhen(groovy.lang.Closure)">upToDateWhen</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;upToDateClosure)</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;
<div class="block"><i>Use <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#upToDateWhen(groovy.lang.Closure)"><code>TaskOutputs.upToDateWhen(Closure)</code></a> instead.</i></div>
</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html#upToDateWhen(org.gradle.api.specs.Spec)">upToDateWhen</a></strong>(<a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;&nbsp;upToDateSpec)</code>
<div class="block"><strong>Deprecated.</strong>&nbsp;
<div class="block"><i>Use <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#upToDateWhen(org.gradle.api.specs.Spec)"><code>TaskOutputs.upToDateWhen(Spec)</code></a> instead.</i></div>
</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html#withPropertyName(java.lang.String)">withPropertyName</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyName)</code>
<div class="block">Sets the name for this property.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.tasks.TaskOutputs">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.tasks.<a href="../../../../org/gradle/api/tasks/TaskOutputs.html" title="interface in org.gradle.api.tasks">TaskOutputs</a></h3>
<code><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#cacheIf(org.gradle.api.specs.Spec)">cacheIf</a>, <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#cacheIf(java.lang.String,%20org.gradle.api.specs.Spec)">cacheIf</a>, <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#dirs(java.lang.Object...)">dirs</a>, <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#doNotCacheIf(java.lang.String,%20org.gradle.api.specs.Spec)">doNotCacheIf</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="withPropertyName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withPropertyName</h4>
<pre><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a>&nbsp;withPropertyName(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;propertyName)</pre>
<div class="block">Sets the name for this property. The name must be a valid Java identifier,
 or a series of valid Java identifiers separated with dots ('.').

 <p>If the method is not called, or if it is called with <code>null</code>, a name
 will be assigned to the property automatically.</p></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/TaskPropertyBuilder.html#withPropertyName(java.lang.String)">withPropertyName</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/TaskPropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskPropertyBuilder</a></code></dd>
</dl>
</li>
</ul>
<a name="optional()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>optional</h4>
<pre><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a>&nbsp;optional()</pre>
<div class="block">Marks a task property as optional. This means that a value does not have to be specified for the property, but any
 value specified must meet the validation constraints for the property.</div>
</li>
</ul>
<a name="optional(boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>optional</h4>
<pre><a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a>&nbsp;optional(boolean&nbsp;optional)</pre>
<div class="block">Sets whether the task property is optional. If the task property is optional, it means that a value does not have to be
 specified for the property, but any value specified must meet the validation constraints for the property.</div>
</li>
</ul>
<a name="upToDateWhen(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>upToDateWhen</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
void&nbsp;upToDateWhen(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;upToDateClosure)</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i>Use <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#upToDateWhen(groovy.lang.Closure)"><code>TaskOutputs.upToDateWhen(Closure)</code></a> instead.</i></div>
<div class="block">Throws <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang"><code>UnsupportedOperationException</code></a>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#upToDateWhen(groovy.lang.Closure)">upToDateWhen</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/TaskOutputs.html" title="interface in org.gradle.api.tasks">TaskOutputs</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>upToDateClosure</code> - The closure to use to determine whether the task outputs are up-to-date.</dd></dl>
</li>
</ul>
<a name="upToDateWhen(org.gradle.api.specs.Spec)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>upToDateWhen</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
void&nbsp;upToDateWhen(<a href="../../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../../org/gradle/api/Task.html" title="interface in org.gradle.api">Task</a>&gt;&nbsp;upToDateSpec)</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i>Use <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#upToDateWhen(org.gradle.api.specs.Spec)"><code>TaskOutputs.upToDateWhen(Spec)</code></a> instead.</i></div>
<div class="block">Throws <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang"><code>UnsupportedOperationException</code></a>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#upToDateWhen(org.gradle.api.specs.Spec)">upToDateWhen</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/TaskOutputs.html" title="interface in org.gradle.api.tasks">TaskOutputs</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>upToDateSpec</code> - The spec to use to determine whether the task outputs are up-to-date.</dd></dl>
</li>
</ul>
<a name="getHasOutput()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHasOutput</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
boolean&nbsp;getHasOutput()</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i>Use <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#getHasOutput()"><code>TaskOutputs.getHasOutput()</code></a> instead.</i></div>
<div class="block">Throws <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang"><code>UnsupportedOperationException</code></a>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#getHasOutput()">getHasOutput</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/TaskOutputs.html" title="interface in org.gradle.api.tasks">TaskOutputs</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>true if this task has declared any outputs, otherwise false.</dd></dl>
</li>
</ul>
<a name="getFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFiles</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
<a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getFiles()</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i>Use <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#getFiles()"><code>TaskOutputs.getFiles()</code></a> instead.</i></div>
<div class="block">Throws <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang"><code>UnsupportedOperationException</code></a>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#getFiles()">getFiles</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/TaskOutputs.html" title="interface in org.gradle.api.tasks">TaskOutputs</a></code></dd>
<dt><span class="strong">Returns:</span></dt><dd>The output files. Returns an empty collection if this task has no output files.</dd></dl>
</li>
</ul>
<a name="files(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>files</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
<a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a>&nbsp;files(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;paths)</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i>Use <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#files(java.lang.Object...)"><code>TaskOutputs.files(Object...)</code></a> instead.</i></div>
<div class="block">Throws <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang"><code>UnsupportedOperationException</code></a>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskOutputs.html#files(java.lang.Object...)">files</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskOutputs.html" title="interface in org.gradle.api.tasks">CompatibilityAdapterForTaskOutputs</a></code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#files(java.lang.Object...)">files</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/TaskOutputs.html" title="interface in org.gradle.api.tasks">TaskOutputs</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>paths</code> - The output files.</dd>
<dt><span class="strong">Returns:</span></dt><dd>this</dd><dt><span class="strong">See Also:</span></dt><dd><a href="../../../../org/gradle/api/tasks/CacheableTask.html" title="annotation in org.gradle.api.tasks"><code>CacheableTask</code></a></dd></dl>
</li>
</ul>
<a name="file(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>file</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
<a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a>&nbsp;file(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;path)</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i>Use <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#file(java.lang.Object)"><code>TaskOutputs.file(Object)</code></a> instead.</i></div>
<div class="block">Throws <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang"><code>UnsupportedOperationException</code></a>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskOutputs.html#file(java.lang.Object)">file</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskOutputs.html" title="interface in org.gradle.api.tasks">CompatibilityAdapterForTaskOutputs</a></code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#file(java.lang.Object)">file</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/TaskOutputs.html" title="interface in org.gradle.api.tasks">TaskOutputs</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The output file. The given path is evaluated as per <a href="../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a>.</dd>
<dt><span class="strong">Returns:</span></dt><dd>a property builder to further configure this property.</dd></dl>
</li>
</ul>
<a name="dir(java.lang.Object)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>dir</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Deprecated.html?is-external=true" title="class or interface in java.lang">@Deprecated</a>
<a href="../../../../org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskOutputFilePropertyBuilder</a>&nbsp;dir(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;path)</pre>
<div class="block"><span class="strong">Deprecated.</span>&nbsp;<i>Use <a href="../../../../org/gradle/api/tasks/TaskOutputs.html#dir(java.lang.Object)"><code>TaskOutputs.dir(Object)</code></a> instead.</i></div>
<div class="block">Throws <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/UnsupportedOperationException.html?is-external=true" title="class or interface in java.lang"><code>UnsupportedOperationException</code></a>.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskOutputs.html#dir(java.lang.Object)">dir</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskOutputs.html" title="interface in org.gradle.api.tasks">CompatibilityAdapterForTaskOutputs</a></code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/TaskOutputs.html#dir(java.lang.Object)">dir</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/TaskOutputs.html" title="interface in org.gradle.api.tasks">TaskOutputs</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The output directory. The given path is evaluated as per <a href="../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a>.</dd>
<dt><span class="strong">Returns:</span></dt><dd>a property builder to further configure this property.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/tasks/TaskInstantiationException.html" title="class in org.gradle.api.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/tasks/TaskOutputs.html" title="interface in org.gradle.api.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/tasks/TaskOutputFilePropertyBuilder.html" target="_top">Frames</a></li>
<li><a href="TaskOutputFilePropertyBuilder.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
